<?php

function sat_ai_render_chatbot()
{
?>
    <div class='sat-bot-container'>
        <div class='sat-bot-opened-container'>
            <div class='sat-bot-header' id='sat-bot-header' name='sat-bot-header'>
                <p id='close-button' title='<?php echo esc_html_x("Close", "button", "sat-ai") ?>'>
                    &#10005;
                </p>
            </div>
            <div class='sat-bot-message-border'>
                <div class='sat-bot-messages' id='sat-bot-messages' name='sat-bot-messages'></div>
                <div class='sat_typing'>
                    <span></span>
                    <span></span>
                    <span></span>
                </div>
            </div>
            <div class='sat-bot-answer'>
                <form method='post' id='submit_prompt'>
                    <textarea name='prompt' id='prompt' placeholder='<?php echo esc_html_e("Provide your question", "sat-ai") ?>' rows='3'></textarea>
                    <input type='hidden' name='password' id='password' value='' />
                    <picture>
                        <source srcset="/wp-content/plugins/sat-ai/public/images/submit.avif" type="image/avif" />
                        <img src='/wp-content/plugins/sat-ai/public/images/submit.png' loading='lazy' alt='' id='submit-icon'>
                    </picture>
                </form>
                <picture class='sat-eyecatch' id='sat-eyecatch'>
                    <source srcset="/wp-content/plugins/sat-ai/public/images/i-ta.avif" type="image/avif" />
                    <source srcset="/wp-content/plugins/sat-ai/public/images/i-ta.webp" type="image/webp" />
                    <img src='/wp-content/plugins/sat-ai/public/images/i-ta.gif' alt='' loading='lazy' width="100%" style="aspect-ratio: 250/251;">
                </picture>
            </div>
        </div>
        <div class='chat-button'>
            <picture class='sat-eyecatch' >
                <source srcset="/wp-content/plugins/sat-ai/public/images/i-ta.avif" type="image/avif" />
                <source srcset="/wp-content/plugins/sat-ai/public/images/i-ta.webp" type="image/webp" />
                <img src='/wp-content/plugins/sat-ai/public/images/i-ta.gif' alt='' id='sat-eyecatch-closed' loading='lazy' style="aspect-ratio: 250/251;">
            </picture>

            <div class='sat-bot-assistant chat-box-body-receive sat-bot-assistant-closed'>
                <p><?php esc_html_e("Resume Chatbot", "sat-ai") ?></p>
            </div>
        </div>
    </div>
<?php
}
