<?php
$chats = sat_ai_get_all_Chat_Verlauf();
$date_fmt = get_option('date_format');
$time_fmt = get_option('time_format');
$dt_fmt = $date_fmt . " " . $time_fmt;
?>

<div class="sat-chat-container">
    <div class="sat-chats">
        <?php
        // var_dump($chats);
        foreach ($chats as $chat) {
        ?>
            <div class="sat-chat" id="sat-chat-<?php echo esc_html($chat->chatID); ?>">
                <p><?php esc_html_e("ChatID:", "sat-ai") ?> <?php echo esc_html($chat->chatID); ?><br><?php echo esc_html(get_date_from_gmt($chat->started, $dt_fmt)); ?><br /> <?php echo esc_html($chat->ip); ?></p>
            </div>
        <?php
        }
        ?>
    </div>
    <div class="sat-chat-verlauf">
        <table class="sat-chat-verlauf striped wp-list-table widefat">
            <thead class="sat-chatverlauf-thead">
                <th><?php echo esc_html_x("Role", "table-header", "sat-ai") ?></th>
                <th><?php echo esc_html_x("Message", "table-header", "sat-ai") ?></th>
                <th><?php echo esc_html_x("Tokens", "table-header", "sat-ai") ?></th>
                <th><?php echo esc_html_x("Timestamp", "table-header", "sat-ai") ?></th>
                <th>
                    <form method="post">
                        <input type="hidden" name="action" value="delete" />
                        <input type="hidden" name="id" id="id" value="0" />
                        <?php wp_nonce_field('sat-ai-chat-history'); ?>
                        <input class="button-primary" type="submit" title="<?php echo esc_html(__('Delete this chat', 'sat-ai')) ?>" value="<?php echo esc_html(_x('Delete', 'button', 'sat-ai')) ?>" />
                    </form>
                </th>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>

</div>