<?php

function sat_ai_chatverlauf()
{
    if (!current_user_can('manage_options')) {
        wp_die(esc_html(__('Insufficent permission!', 'sat-ai')));
    }


    $action = $_GET['action'] ?? $_POST['action'] ?? 'list';

    switch ($action) {
        case 'delete':
            // delete the selected history
            if (!wp_verify_nonce($_POST['_wpnonce'], 'sat-ai-chat-history')) {
                wp_die(esc_html(__('You are not authorized!', "sat-ai")));
            }
            $id     = $_POST['id'] ?? 0;
            if (sat_ai_delete_Chat_Verlauf($id)) {
?>
                <div class="notice notice-success">

                    <p><?php
                        echo esc_html(sprintf(
                            /* translators: %s: ID of the deleted Chat */
                            __("Chat with the ID: %d has been successfully deleted.", "sat-ai"),
                            $id
                        ));
                        ?></p>
                </div>
            <?php
            } else {
            ?>
                <div class="notice notice-error">
                    <p><?php echo esc_html(
                            sprintf(
                                /* translators: %d: ID of the deleted Chat */
                                __(
                                    "Chat with the ID: %d could not be deleted.",
                                    "sat-ai"
                                ),
                                $id
                            )
                        ); ?></p>
                </div>
<?php
            }
            $template = dirname(__FILE__) . '/views/chat_verlauf.php';
            break;

        default:
            $template = dirname(__FILE__) . '/views/chat_verlauf.php';
            break;
    }

    if (file_exists($template)) {
        include $template;
    }
}
